<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Acct List</title>
</head>
<body>
  <main>
    <h1>Accounts</h1>
    <header>
      <nav>
        <ul>
          {% if user.is_authenticated %}
          <li><a href="{% url 'account_list' %}">List Accounts</a></li>
          <li><a href="{% url 'category_list' %}">List Categories</a></li>
          <li><a href="{% url 'home' %}">List Receipts</a></li>
          <li><a href="{% url 'create_account' %}">Create Account</a></li>
          <li><a href="{% url 'create_category' %}">Create Category</a></li>
          <li><a href="{% url 'create_receipt' %}">Create Receipts</a></li>
          <li><a href="{% url 'logout' %}">Logout</a></li>
          {% endif %}

          {% if not user.is_authenticated %}
          <li><a href="{% url 'login' %}">Login</a></li>
          <li><a href="{% url 'signup' %}">Signup</a></li>
          {% endif %}
        </ul>
      </nav>
    </header>
    <table>
      <tr>
        <th>Name</th>
        <th>Number</th>
        <th>Number of receipts</th>
      </tr>
        {% for acct in accounts%}
        <tr>
          <td>
            {{ acct.name }}
          </td>
          <td>
            {{ acct.number }}
          </td>
          <td>
            {{ acct.receipts.all|length }}

          </td>
        </tr>



    {% endfor %}
    </table>

  </main>
</body>
</html>
